TEMPLENG
========

TEMPLENG is a text adventure game engine based on my earlier, standalone
EttinOS port of In the Temple.

Syntax: TEMPLENG DATAFILE.DAT

Press any key other than escape to start the game or to return back to
the beginning after an ending, the corresponding number to choose an
option in a non-ending scene, or escape to quit the game.

TEMPLE
------

Included in the package is TEMPLE, a TEMPLENG port of the web-based text
adventure game In the Temple by nortti. Its original readme is
reproduced here:

> A small game about a visit to a temple and the reasons for doing so.
>
> Can be played online at https://ahti.space/~nortti/in-the-temple/ or
> at https://nortti.itch.io/in-the-temple
>
> The game is distributed under the Creative Commons Zero 1.0 Universal
> license.

The data files
--------------

A data file consists of an intro text ending in a null followed by any
number of scenes. See the included TEMPLE.DAT for an example.

A scene begins with a start of heading (0x1) and consists of its ID, the
number of options it has, and the scene text, all ending in a null. The
ID of a scene consists of a string of numbers representing the choices
that lead to it, and can be between 2 and 255 characters long including
the null. The ID of the first scene is 0. The number of options can be
anything between 0 and 9, 0 indicating an ending. The options of a scene
must point to scenes placed after it in the data file. The scene text
should not exceed 24 lines or all of it won't fit on the screen at once.

***

This package is part of EttinOS-extra, a collection of programs for
EttinOS, the git repository of which can be found at
https://ahti.space/git/crazyettin/EttinOS-extra.
