#!/bin/sh

cd CONVERT/
nasm DEC2HEX.ASM -f bin -o DEC2HEX.BIN
nasm HEX2DEC.ASM -f bin -o HEX2DEC.BIN
zip -r CONVERT.ZIP DEC2HEX.BIN DEC2HEX.ASM HEX2DEC.BIN HEX2DEC.ASM README.MD CC0 1>/dev/null
mv CONVERT.ZIP ..
cd ..

cd KEYCODE/
nasm KEYCODE.ASM -f bin -o KEYCODE.BIN
zip -r KEYCODE.ZIP KEYCODE.BIN KEYCODE.ASM README.MD LICENSE.MD 1>/dev/null
mv KEYCODE.ZIP ..
cd ..

cd ROT13/
nasm ROT13.ASM -f bin -o ROT13.BIN
zip -r ROT13.ZIP ROT13.BIN ROT13.ASM README.MD CC0 1>/dev/null
mv ROT13.ZIP ..
cd ..

cd TEMPLENG/
nasm TEMPLENG.ASM -f bin -o TEMPLENG.BIN
zip -r TEMPLENG.ZIP TEMPLENG.BIN TEMPLENG.ASM README.MD LICENSE.MD TEMPLE.DAT 1>/dev/null
mv TEMPLENG.ZIP ..
cd ..
